import request from '@/utils/request'

// 查询行政强制信息填报模板列表
export function listInformation(query) {
  return request({
    url: '/crmAdministrativeCompulsionInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询行政强制信息填报模板详细
export function getInformation(id) {
  return request({
    url: '/basicData/information/' + id,
    method: 'get'
  })
}

// 新增行政强制信息填报模板
export function addInformation(data) {
  return request({
    url: '/basicData/information',
    method: 'post',
    data: data
  })
}

// 修改行政强制信息填报模板
export function updateInformation(data) {
  return request({
    url: '/basicData/information',
    method: 'put',
    data: data
  })
}

// 删除行政强制信息填报模板
export function delInformation(id) {
  return request({
    url: '/crmAdministrativeCompulsionInformation/deleteAll' ,
    method: 'delete'
  })
}

// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmAdministrativeCompulsionInformation/delete',ids)
}
